Index: issm/trunk-jpl/src/m/enum/EnumDefinitions.py
===================================================================
--- issm/trunk-jpl/src/m/enum/EnumDefinitions.py	(revision 20120)
+++ issm/trunk-jpl/src/m/enum/EnumDefinitions.py	(revision 20121)
@@ -10,4 +10,10 @@
 
 def FemModelEnum(): return StringToEnum("FemModel")[0]
+def FemModelCommEnum(): return StringToEnum("FemModelComm")[0]
+def WorldCommEnum(): return StringToEnum("WorldComm")[0]
+def IcecapToEarthCommEnum(): return StringToEnum("IcecapToEarthComm")[0]
+def NumModelsEnum(): return StringToEnum("NumModels")[0]
+def ModelIdEnum(): return StringToEnum("ModelId")[0]
+def EarthIdEnum(): return StringToEnum("EarthId")[0]
 def AutodiffIsautodiffEnum(): return StringToEnum("AutodiffIsautodiff")[0]
 def AutodiffNumDependentsEnum(): return StringToEnum("AutodiffNumDependents")[0]
@@ -1002,4 +1008,5 @@
 def SealevelriseGElasticEnum(): return StringToEnum("SealevelriseGElastic")[0]
 def SealevelriseDegaccEnum(): return StringToEnum("SealevelriseDegacc")[0]
+def SealevelriseTransitionsEnum(): return StringToEnum("SealevelriseTransitions")[0]
 def SealevelriseRequestedOutputsEnum(): return StringToEnum("SealevelriseRequestedOutputs")[0]
 def SealevelriseNumRequestedOutputsEnum(): return StringToEnum("SealevelriseNumRequestedOutputs")[0]
